<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name_ar', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'website_name_en', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'keywords_ar', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'keywords_en', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'meta_description_ar', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'meta_description_en', 'value' => 'PROCARE', 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'info@cms.com', 'created_at' => now()],
            ['key' => 'site_address_ar', 'value' => 'المملكة العربية السعودية', 'created_at' => now()],
            ['key' => 'site_address_en', 'value' => 'KSA', 'created_at' => now()],
            ['key' => 'site_phone', 'value' => '0500000000', 'created_at' => now()],
            ['key' => 'site_tel', 'value' => '0500000000', 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'info@procare.com', 'created_at' => now()],
            ['key' => 'mail_port', 'value' => 587, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'info@procare.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'e4c5c123acd614', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => 'tls', 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'info@cms.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'PROCARE', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
//            ['key' => 'tiktok', 'value' =>'https://www.tiktok.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'site_map', 'value' =>'<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d950645.676588608!2d39.77029170800353!3d21.450472984983016!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x15c3d01fb1137e59%3A0xe059579737b118db!2z2KzYr9ipINin2YTYs9i52YjYr9mK2Kk!5e0!3m2!1sar!2seg!4v1665336533519!5m2!1sar!2seg" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>', 'created_at' => now()],
            ['key' => 'special_num_1_value', 'value' => '3000+', 'created_at' => now()],
            ['key' => 'special_num_2_value', 'value' => '200K', 'created_at' => now()],
            ['key' => 'special_num_1_title_ar', 'value' => 'Patient served every boy', 'created_at' => now()],
            ['key' => 'special_num_1_title_en', 'value' => 'Patient served every boy', 'created_at' => now()],
            ['key' => 'special_num_2_title_ar', 'value' => 'Medical team around the world', 'created_at' => now()],
            ['key' => 'special_num_2_title_en', 'value' => 'Medical team around the world', 'created_at' => now()],

//            ['key' => 'snapchat', 'value' =>'https://www.snapchat.com', 'created_at' => now()],
//            ['key' => 'career_link', 'value' =>'https://www.career.com', 'created_at' => now()],
//            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'assets/admin/images/logo.png', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
